Bug 246297 - ntpd tries to bind to tentative ipv6 addresses
ntpd tries to bind to tentative ipv6 addresses
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 17:28 EDT by Mike Bonnet
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.2.4p2-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 13:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Bonnet 2007-06-29 17:28:28 EDT
Description of problem:
If a new ipv6 address is marked tentative (duplicate address detection not yet
complete), ntpd will still attempt to bind to it.  This will fail, since a
tentative address is not yet available for use, and fills syslog with entries
like this every 5 minutes:

Jun 29 17:10:05 liffey ntpd[1857]: bind() fd 23, family 10, port 123, scope 7,
addr fe80::209:5bff:feea:b06f, in6_is_addr_multicast=0 flags=17 fails: Cannot as
sign requested address
Jun 29 17:10:05 liffey ntpd[1857]: unable to create socket on wlan1 (275) for
fe80::209:5bff:feea:b06f#123
Jun 29 17:10:05 liffey ntpd[1857]: failed to initialize interface for address
fe80::209:5bff:feea:b06f
Jun 29 17:15:05 liffey ntpd[1857]: bind() fd 23, family 10, port 123, scope 7,
addr fe80::209:5bff:feea:b06f, in6_is_addr_multicast=0 flags=17 fails: Cannot as
sign requested address
Jun 29 17:15:05 liffey ntpd[1857]: unable to create socket on wlan1 (276) for
fe80::209:5bff:feea:b06f#123
Jun 29 17:15:05 liffey ntpd[1857]: failed to initialize interface for address
fe80::209:5bff:feea:b06f

ntpd should probably be ignoring ipv6 addresses marked tentative.

Version-Release number of selected component (if applicable):
ntp-4.2.4p0-2.fc7


How reproducible:
always


Steps to Reproduce:
1. add a duplicate ipv6 address, so the address is marked tentative

$ /sbin/ip -6 addr show wlan1
7: wlan1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qlen 1000
    inet6 fe80::209:5bff:feea:b06f/64 scope link tentative 
       valid_lft forever preferred_lft forever

Actual results:
messages in syslog about ntpd failing to bind to the tentative address


Expected results:
no messages in syslog, ntpd ignores the address until it is no longer tentative

Additional info:
Comment 1 Miroslav Lichvar 2007-07-24 08:18:40 EDT
Should be fixed in ntp-4.2.4p2-2.fc8.
Comment 2 Fedora Update System 2007-08-13 13:04:12 EDT
ntp-4.2.4p2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-08-24 01:31:48 EDT
ntp-4.2.4p2-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-08-29 13:30:14 EDT
ntp-4.2.4p2-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.